Bug 1079509 - [abrt] claws-mail: folder_item_get_msginfo_by_msgid(): claws-mail killed by SIGSEGV
Summary: [abrt] claws-mail: folder_item_get_msginfo_by_msgid(): claws-mail killed by S...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e134bd7513a92faa0c2f60c1a12...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-21 17:46 UTC by Pavel Mlčoch
Modified: 2015-01-05 07:36 UTC (History)
2 users (show)

Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-30 23:49:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (41.81 KB, text/plain)
2014-03-21 17:47 UTC, Pavel Mlčoch
no flags Details
File: cgroup (172 bytes, text/plain)
2014-03-21 17:47 UTC, Pavel Mlčoch
no flags Details
File: core_backtrace (28.40 KB, text/plain)
2014-03-21 17:47 UTC, Pavel Mlčoch
no flags Details
File: dso_list (21.23 KB, text/plain)
2014-03-21 17:47 UTC, Pavel Mlčoch
no flags Details
File: environ (1.32 KB, text/plain)
2014-03-21 17:47 UTC, Pavel Mlčoch
no flags Details
File: exploitable (82 bytes, text/plain)
2014-03-21 17:47 UTC, Pavel Mlčoch
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-21 17:47 UTC, Pavel Mlčoch
no flags Details
File: maps (108.06 KB, text/plain)
2014-03-21 17:47 UTC, Pavel Mlčoch
no flags Details
File: open_fds (1.59 KB, text/plain)
2014-03-21 17:48 UTC, Pavel Mlčoch
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2014-03-21 17:48 UTC, Pavel Mlčoch
no flags Details
File: var_log_messages (3.11 KB, text/plain)
2014-03-21 17:48 UTC, Pavel Mlčoch
no flags Details

Description Pavel Mlčoch 2014-03-21 17:46:48 UTC
Version-Release number of selected component:
claws-mail-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        claws-mail
crash_function: folder_item_get_msginfo_by_msgid
executable:     /usr/bin/claws-mail
kernel:         3.13.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 folder_item_get_msginfo_by_msgid at folder.c:2810
 #1 procmsg_msg_has_flagged_parent_real at procmsg.c:2138
 #2 procmsg_msg_has_flagged_parent at procmsg.c:2186
 #3 procmsg_msg_has_marked_parent at procmsg.c:2198
 #4 update_folder_msg_counts at procmsg.c:1940
 #5 procmsg_msginfo_unset_flags at procmsg.c:2059
 #6 msginfo_mark_as_read at summaryview.c:3523
 #7 msginfo_mark_as_read_timeout at summaryview.c:3541
 #13 gtk_main at gtkmain.c:1257

Potential duplicate: bug 711339

Comment 1 Pavel Mlčoch 2014-03-21 17:47:00 UTC
Created attachment 877407 [details]
File: backtrace

Comment 2 Pavel Mlčoch 2014-03-21 17:47:04 UTC
Created attachment 877408 [details]
File: cgroup

Comment 3 Pavel Mlčoch 2014-03-21 17:47:16 UTC
Created attachment 877409 [details]
File: core_backtrace

Comment 4 Pavel Mlčoch 2014-03-21 17:47:26 UTC
Created attachment 877410 [details]
File: dso_list

Comment 5 Pavel Mlčoch 2014-03-21 17:47:29 UTC
Created attachment 877411 [details]
File: environ

Comment 6 Pavel Mlčoch 2014-03-21 17:47:35 UTC
Created attachment 877412 [details]
File: exploitable

Comment 7 Pavel Mlčoch 2014-03-21 17:47:43 UTC
Created attachment 877413 [details]
File: limits

Comment 8 Pavel Mlčoch 2014-03-21 17:47:58 UTC
Created attachment 877414 [details]
File: maps

Comment 9 Pavel Mlčoch 2014-03-21 17:48:00 UTC
Created attachment 877415 [details]
File: open_fds

Comment 10 Pavel Mlčoch 2014-03-21 17:48:02 UTC
Created attachment 877416 [details]
File: proc_pid_status

Comment 11 Pavel Mlčoch 2014-03-21 17:48:05 UTC
Created attachment 877417 [details]
File: var_log_messages

Comment 13 Fedora Update System 2014-05-26 21:17:20 UTC
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

Comment 14 Fedora Update System 2014-05-26 21:17:53 UTC
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19

Comment 15 Fedora Update System 2014-05-28 02:56:33 UTC
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-05-30 23:49:42 UTC
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-11-02 17:51:46 UTC
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19

Comment 18 Fedora Update System 2014-11-02 17:52:21 UTC
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20

Comment 19 Fedora Update System 2014-11-02 17:55:01 UTC
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21

Comment 20 Fedora Update System 2014-11-10 06:30:10 UTC
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-11-10 06:33:54 UTC
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-01-05 07:36:21 UTC
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.